#include<bits/stdc++.h>
using namespace std;
int dinamicka[200001][101];
int main()
{
string t,s;
cin>>t>>s;
int duzina=s.length();
string duzinalnistring="";
for(int i=0;i<duzina;i++)
duzinalnistring+='a';
if(s=="a")
{
int br=0;
for(int i=0;i<t.length();i++)
{
if(t[i]=='a')
{
br++;
t[i]='*';
}
}
cout<<br<<endl<<t<<endl;
}
else if(s==duzinalnistring)
{
int br=0;
for(int i=0;i<t.length();i++)
if(t[i]=='a')
br++;
if(br<duzina)
{
cout<<0<<endl<<t<<endl;
}
else
{
cout<<br-duzina+1<<endl;
int potrebno=br-duzina+1;
for(int i=0;i<t.length();i++)
{
if(t[i]=='a'&&potrebno>0)
{
cout<<"*";
potrebno--;
}
else
cout<<t[i];
}
cout<<endl;
}
}
else
{
for(int i=0;i<s.length();i++)
dinamicka[0][i]=(t[0]==s[i]);
for(int i=1;i<t.length();i++)
{
for(int j=0;j<s.length();j++)
{
if (t[i]!=s[j])
{
dinamicka[i][j]=dinamicka[i-1][j];
continue;
}
dinamicka[i][j]=dinamicka[i-1][j]+1;
if(j)
{
if(dinamicka[i][j]>=dinamicka[i-1][j-1])
dinamicka[i][j]=dinamicka[i-1][j-1];
}
}
}
cout<<dinamicka[t.length()-1][s.length()-1]<<endl;
cout<<t<<endl;
}
return 0;
}